pcl::device::numeric_limits< float > Struct Template Reference

`#include </build/pcl-qv3n_B/pcl-1.8.1+dfsg1/gpu/kinfu/src/cuda/utils.hpp>`

## Public Types

typedef float | type

## Static Public Member Functions

__device__ static __forceinline__ float | quiet_NaN ()
__device__ static __forceinline__ float | epsilon ()
__device__ static __forceinline__ float | min ()
__device__ static __forceinline__ float | max ()
__device__ static __forceinline__ type | min ()
__device__ static __forceinline__ type | max ()
__device__ static __forceinline__ type | epsilon ()
__device__ static __forceinline__ type | round_error ()
__device__ static __forceinline__ type | denorm_min ()
__device__ static __forceinline__ type | infinity ()
__device__ static __forceinline__ type | quiet_NaN ()
__device__ static __forceinline__ type | signaling_NaN ()

## Static Public Attributes

static const bool | is_signed = true

## Detailed Description

### template<>
struct pcl::device::numeric_limits< float >

Definition at line 55 of file utils.hpp.

## Member Typedef Documentation

## type

typedef float pcl::device::numeric_limits< float >::type

Definition at line 201 of file limits.hpp.

## Member Function Documentation

## denorm_min()

__device__ static __forceinline__ type pcl::device::numeric_limits< float >::denorm_min | ( |  | ) |

static

## epsilon() [1/2]

__device__ static __forceinline__ float pcl::device::numeric_limits< float >::epsilon | ( |  | ) |

inline static

Definition at line 60 of file utils.hpp.

## epsilon() [2/2]

__device__ static __forceinline__ type pcl::device::numeric_limits< float >::epsilon | ( |  | ) |

inline static

Definition at line 204 of file limits.hpp.

References pcl::device::numeric_limits< T >::denorm_min(), and pcl::device::numeric_limits< T >::round_error().

## infinity()

__device__ static __forceinline__ type pcl::device::numeric_limits< float >::infinity | ( |  | ) |

inline static

Definition at line 207 of file limits.hpp.

## max() [1/2]

__device__ static __forceinline__ float pcl::device::numeric_limits< float >::max | ( |  | ) |

inline static

Definition at line 65 of file utils.hpp.

## max() [2/2]

__device__ static __forceinline__ type pcl::device::numeric_limits< float >::max | ( |  | ) |

inline static

Definition at line 203 of file limits.hpp.

## min() [1/2]

__device__ static __forceinline__ float pcl::device::numeric_limits< float >::min | ( |  | ) |

inline static

Definition at line 63 of file utils.hpp.

## min() [2/2]

__device__ static __forceinline__ type pcl::device::numeric_limits< float >::min | ( |  | ) |

inline static

Definition at line 202 of file limits.hpp.

## quiet_NaN() [1/2]

__device__ static __forceinline__ float pcl::device::numeric_limits< float >::quiet_NaN | ( |  | ) |

inline static

Definition at line 58 of file utils.hpp.

## quiet_NaN() [2/2]

__device__ static __forceinline__ type pcl::device::numeric_limits< float >::quiet_NaN | ( |  | ) |

inline static

Definition at line 208 of file limits.hpp.

References pcl::device::numeric_limits< T >::signaling_NaN().

## round_error()

__device__ static __forceinline__ type pcl::device::numeric_limits< float >::round_error | ( |  | ) |

static

## signaling_NaN()

__device__ static __forceinline__ type pcl::device::numeric_limits< float >::signaling_NaN | ( |  | ) |

static

## Member Data Documentation

## is_signed

const bool pcl::device::numeric_limits< float >::is_signed = true

static

Definition at line 210 of file limits.hpp.

The documentation for this struct was generated from the following files:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/gpu/kinfu/src/cuda/utils.hpp
- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/gpu/utils/include/pcl/gpu/utils/device/limits.hpp